<?php define('WEARNINGS', 1); 
define('H', $_SERVER['DOCUMENT_ROOT'] . '/');
foreach (array('starting', 'compress', 'worldcms', 'function', 'account') as $kernel){
	require_once H.'kernel/' . $kernel . '.php'; }


// Cмена режима отображения
if (isset($_GET['admin']) && user_access('user_collisions'))
{
	if ($_GET['admin'] == 'close')
	$_SESSION['admin'] = null;
	else
	$_SESSION['admin'] = true;
}

$set['title'] = 'Сейчас на сайте'; // заголовок страницы
require_once H.'kernel/switch/header.php';
title();
aut();
	
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `date_last` > '".(time()-600)."'"), 0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];

$q = mysql_query("SELECT id, pol, url, level, ip, ip_xff, ip_cl, ua, date_last FROM `user` WHERE `date_last` > '".(time()-600)."' ORDER BY `date_last` DESC LIMIT $start, $set[p_str]");


echo '<table class="post">';

if ($k_post == 0)
{
	echo '<div class="mess">';
	echo 'Сейчас на сайте никого нет';
	echo '</div>';
}

while ($ank = mysql_fetch_assoc($q))
{
		
		
	
	// Лесенка
	echo '<div class="nav1">';


	echo user::nick($ank['id'], 1) . ' <br />';

	
	// Расширенный режим
	if (isset($user) && isset($_SESSION['admin']))
	{

		
		// IP пользователя
		if ($ank['ip']!=NULL)
		{
			if (user_access('user_show_ip') && $ank['ip'] != 0)
			{
				echo '<span class="ank_n">IP:</span> <span class="ank_d">' . long2ip($ank['ip']) . '</span>';
				if (user_access('adm_ban_ip'))
				echo ' [<a href="/adm_panel/ban_ip.php?min=' . $ank['ip'] . '">Бан</a>]';
				echo '<br />';
			}
		}
		
		// IP клиента
		if ($ank['ip_cl'] != NULL)
		{
			if (user_access('user_show_ip') && $ank['ip_cl']!=0)
			{
				echo '<span class="ank_n">IP (CLIENT):</span> <span class="ank_d">' . long2ip($ank['ip_cl']) . '</span>';
				if (user_access('adm_ban_ip'))
				echo ' [<a href="/adm_panel/ban_ip.php?min=' . $ank['ip_cl'] . '">Бан</a>]';
				echo '<br />';
			}
		}
		
		// IP (XFF)
		if ($ank['ip_xff'] != NULL)
		{
			if (user_access('user_show_ip') && $ank['ip_xff'] != 0)
			{
				echo '<span class="ank_n">IP (XFF):</span> <span class="ank_d">' . long2ip($ank['ip_xff']) . '</span>';
				if (user_access('adm_ban_ip'))
				echo ' [<a href="/adm_panel/ban_ip.php?min=' . $ank['ip_xff'] . '">Бан</a>]';
				echo '<br />';
			}
		}
		
		// Браузер
		if (user_access('user_show_ua') && $ank['ua']!=NULL)
		echo '<span class="ank_n">Браузер:</span> <span class="ank_d">' . $ank['ua'] . '</span><br />';
		
		if ($user['level'] > $ank['level'] && $user['id'] != $ank['id'])
		{
			if (user_access('user_prof_edit'))
			echo '[<a href="/adm_panel/user.php?id=' . $ank['id'] . '"><img src="/style/icons/edit.gif" alt="*" /> ред.</a>] ';
			
			if ($user['id'] != $ank['id'])
			{
				if (user_access('user_ban_set') || user_access('user_ban_set_h') || user_access('user_ban_unset'))
				echo '[<a href="/adm_panel/ban.php?id=' . $ank['id'] . '"><img src="/style/icons/blicon.gif" alt="*" /> бан</a>] ';

			}
		}

		
	}
	else
	{
echo '<b>('.(($ank['pol'] == 1) ? 'М' : 'Ж').') </b>';



		
		echo ', <img src="/style/icons/time.png" alt="away" /> [' . vremja($ank['date_last']) . ']';
	}
	
	echo '</div>';
}
echo '</table>';

if ($k_page>1)str("?",$k_page,$page); // Вывод страниц

if (user_access('user_collisions'))
{
	?>
	<div class="foot">
	<a href="online_g.php">Гости</a> | 
	<?=(!isset($_SESSION['admin']) ? '<a href="?admin">Расширенный режим</a> | <b>Обычный режим</b>' : '<b>Расширенный режим</b> | <a href="?admin=close">Обычный режим</a>')?>
	</div>
	<?
}

require_once H.'kernel/switch/footer.php';
?>